<a id="mypy-boto3-mediatailor"></a>

# mypy-boto3-mediatailor

[![PyPI - types-aiobotocore-mediatailor](https://img.shields.io/pypi/v/types-aiobotocore-mediatailor.svg?color=blue)](https://pypi.org/project/types-aiobotocore-mediatailor)
[![PyPI - Python Version](https://img.shields.io/pypi/pyversions/types-aiobotocore-mediatailor.svg?color=blue)](https://pypi.org/project/types-aiobotocore-mediatailor)
[![Docs](https://img.shields.io/readthedocs/mypy-boto3-builder.svg?color=blue)](https://mypy-boto3-builder.readthedocs.io/)
[![PyPI - Downloads](https://img.shields.io/pypi/dm/types-aiobotocore-mediatailor?color=blue)](https://pypistats.org/packages/types-aiobotocore-mediatailor)

![boto3.typed](https://github.com/vemel/mypy_boto3_builder/raw/main/logo.png)

Type annotations for
[boto3.MediaTailor 1.20.47](https://boto3.amazonaws.com/v1/documentation/api/latest/reference/services/mediatailor.html#MediaTailor)
service compatible with [VSCode](https://code.visualstudio.com/),
[PyCharm](https://www.jetbrains.com/pycharm/),
[Emacs](https://www.gnu.org/software/emacs/),
[Sublime Text](https://www.sublimetext.com/),
[mypy](https://github.com/python/mypy),
[pyright](https://github.com/microsoft/pyright) and other tools.

Generated by
[mypy-boto3-builder 6.4.2](https://github.com/vemel/mypy_boto3_builder).

More information can be found on
[boto3-stubs](https://pypi.org/project/boto3-stubs/) page and in
[types-aiobotocore-mediatailor docs](https://vemel.github.io/types_aiobotocore_docs/types_aiobotocore_mediatailor/)

See how it helps to find and fix potential bugs:

![boto3-stubs demo](https://github.com/vemel/mypy_boto3_builder/raw/main/demo.gif)

- [mypy-boto3-mediatailor](#mypy-boto3-mediatailor)
  - [How to install](#how-to-install)
    - [VSCode extension](#vscode-extension)
    - [From PyPI with pip](#from-pypi-with-pip)
  - [Usage](#usage)
    - [VSCode](#vscode)
    - [PyCharm](#pycharm)
    - [Other IDEs](#other-ides)
    - [mypy](#mypy)
    - [pyright](#pyright)
  - [Explicit type annotations](#explicit-type-annotations)
    - [Client annotations](#client-annotations)
    - [Paginators annotations](#paginators-annotations)

<a id="how-to-install"></a>

## How to install

<a id="vscode-extension"></a>

### VSCode extension

Add
[AWS Boto3](https://marketplace.visualstudio.com/items?itemName=Boto3typed.boto3-ide)
extension to your VSCode and run `AWS boto3: Quick Start` command.

Click `Modify` and select `boto3 common` and `MediaTailor`.

<a id="from-pypi-with-pip"></a>

### From PyPI with pip

Install `types-aiobotocore` for `MediaTailor` service.

```bash
# install with aiobotocore type annotations
python -m pip install 'types-aiobotocore[mediatailor]'

# Lite version does not provide session.create_client overloads
# it is more RAM-friendly, but requires explicit type annotations
python -m pip install 'types-aiobotocore-lite[mediatailor]'

# standalone installation
python -m pip install types-aiobotocore-mediatailor
```

<a id="usage"></a>

## Usage

<a id="vscode"></a>

### VSCode

- Install
  [Python extension](https://marketplace.visualstudio.com/items?itemName=ms-python.python)
- Install
  [Pylance extension](https://marketplace.visualstudio.com/items?itemName=ms-python.vscode-pylance)
- Set `Pylance` as your Python Language Server
- Install `types-aiobotocore[mediatailor]` in your environment:
  `python -m pip install 'types-aiobotocore[mediatailor]'`

Both type checking and auto-complete should work for `MediaTailor` service. No
explicit type annotations required, write your `boto3` code as usual.

<a id="pycharm"></a>

### PyCharm

- Install `types-aiobotocore[mediatailor]` in your environment:
  `python -m pip install 'types-aiobotocore[mediatailor]'`

Both type checking and auto-complete should work for `MediaTailor` service. No
explicit type annotations required, write your `aiobotocore` code as usual.
Auto-complete can be slow on big projects or if you have a lot of installed
`types-aiobotocore` submodules.

<a id="other-ides"></a>

### Other IDEs

Not tested, but as long as your IDE supports `mypy` or `pyright`, everything
should work.

<a id="mypy"></a>

### mypy

- Install `mypy`: `python -m pip install mypy`
- Install `types-aiobotocore[mediatailor]` in your environment:
  `python -m pip install 'types-aiobotocore[mediatailor]'`
- Run `mypy` as usual

Type checking should work for `MediaTailor` service. No explicit type
annotations required, write your `aiobotocore` code as usual.

<a id="pyright"></a>

### pyright

- Install `pyright`: `yarn global add pyright`
- Install `types-aiobotocore[mediatailor]` in your environment:
  `python -m pip install 'types-aiobotocore[mediatailor]'`
- Optionally, you can install `boto3-stubs` to `typings` folder.

Type checking should work for `MediaTailor` service. No explicit type
annotations required, write your `aiobotocore` code as usual.

<a id="explicit-type-annotations"></a>

## Explicit type annotations

<a id="client-annotations"></a>

### Client annotations

`MediaTailorClient` provides annotations for
`session.create_client("mediatailor")`.

```python
from aiobotocore.session import get_session

from types_aiobotocore_mediatailor import MediaTailorClient

session = get_session()
async with session.create_client("mediatailor") as client:
    client: MediaTailorClient
    # now client usage is checked by mypy and IDE should provide code auto-complete
```

<a id="paginators-annotations"></a>

### Paginators annotations

`types_aiobotocore_mediatailor.paginator` module contains type annotations for
all paginators.

````python
from aiobotocore.session import get_session

from types_aiobotocore_mediatailor import MediaTailorClient
from types_aiobotocore_mediatailor.paginator import (
    GetChannelSchedulePaginator,
    ListAlertsPaginator,
    ListChannelsPaginator,
    ListPlaybackConfigurationsPaginator,
    ListPrefetchSchedulesPaginator,
    ListSourceLocationsPaginator,
    ListVodSourcesPaginator,
)

session = get_session()
async with session.create_client("mediatailor") as client:
    client: MediaTailorClient

    # Explicit type annotations are optional here
    # Type should be correctly discovered by mypy and IDEs
    # VSCode requires explicit type annotations
        get_channel_schedule_paginator: GetChannelSchedulePaginator = client.get_paginator("get_channel_schedule")
        list_alerts_paginator: ListAlertsPaginator = client.get_paginator("list_alerts")
        list_channels_paginator: ListChannelsPaginator = client.get_paginator("list_channels")
        list_playback_configurations_paginator: ListPlaybackConfigurationsPaginator = client.get_paginator("list_playback_configurations")
        list_prefetch_schedules_paginator: ListPrefetchSchedulesPaginator = client.get_paginator("list_prefetch_schedules")
        list_source_locations_paginator: ListSourceLocationsPaginator = client.get_paginator("list_source_locations")
        list_vod_sources_paginator: ListVodSourcesPaginator = client.get_paginator("list_vod_sources")
    ```







### Literals

`types_aiobotocore_mediatailor.literals` module contains literals extracted from shapes
that can be used in user code for type checking.

```python
from types_aiobotocore_mediatailor.literals import (
    AccessTypeType,
    ChannelStateType,
    GetChannelSchedulePaginatorName,
    ListAlertsPaginatorName,
    ListChannelsPaginatorName,
    ListPlaybackConfigurationsPaginatorName,
    ListPrefetchSchedulesPaginatorName,
    ListSourceLocationsPaginatorName,
    ListVodSourcesPaginatorName,
    MessageTypeType,
    ModeType,
    OperatorType,
    OriginManifestTypeType,
    PlaybackModeType,
    RelativePositionType,
    ScheduleEntryTypeType,
    TypeType,
    ServiceName,
    PaginatorName,
)

def check_value(value: AccessTypeType) -> bool:
    ...
````

### Typed dictionaries

`types_aiobotocore_mediatailor.type_defs` module contains structures and shapes
assembled to typed dictionaries for additional type checking.

```python
from types_aiobotocore_mediatailor.type_defs import (
    AccessConfigurationTypeDef,
    AdBreakTypeDef,
    AdMarkerPassthroughTypeDef,
    AlertTypeDef,
    AvailMatchingCriteriaTypeDef,
    AvailSuppressionTypeDef,
    BumperTypeDef,
    CdnConfigurationTypeDef,
    ChannelTypeDef,
    ConfigureLogsForPlaybackConfigurationRequestRequestTypeDef,
    ConfigureLogsForPlaybackConfigurationResponseTypeDef,
    CreateChannelRequestRequestTypeDef,
    CreateChannelResponseTypeDef,
    CreatePrefetchScheduleRequestRequestTypeDef,
    CreatePrefetchScheduleResponseTypeDef,
    CreateProgramRequestRequestTypeDef,
    CreateProgramResponseTypeDef,
    CreateSourceLocationRequestRequestTypeDef,
    CreateSourceLocationResponseTypeDef,
    CreateVodSourceRequestRequestTypeDef,
    CreateVodSourceResponseTypeDef,
    DashConfigurationForPutTypeDef,
    DashConfigurationTypeDef,
    DashPlaylistSettingsTypeDef,
    DefaultSegmentDeliveryConfigurationTypeDef,
    DeleteChannelPolicyRequestRequestTypeDef,
    DeleteChannelRequestRequestTypeDef,
    DeletePlaybackConfigurationRequestRequestTypeDef,
    DeletePrefetchScheduleRequestRequestTypeDef,
    DeleteProgramRequestRequestTypeDef,
    DeleteSourceLocationRequestRequestTypeDef,
    DeleteVodSourceRequestRequestTypeDef,
    DescribeChannelRequestRequestTypeDef,
    DescribeChannelResponseTypeDef,
    DescribeProgramRequestRequestTypeDef,
    DescribeProgramResponseTypeDef,
    DescribeSourceLocationRequestRequestTypeDef,
    DescribeSourceLocationResponseTypeDef,
    DescribeVodSourceRequestRequestTypeDef,
    DescribeVodSourceResponseTypeDef,
    GetChannelPolicyRequestRequestTypeDef,
    GetChannelPolicyResponseTypeDef,
    GetChannelScheduleRequestRequestTypeDef,
    GetChannelScheduleResponseTypeDef,
    GetPlaybackConfigurationRequestRequestTypeDef,
    GetPlaybackConfigurationResponseTypeDef,
    GetPrefetchScheduleRequestRequestTypeDef,
    GetPrefetchScheduleResponseTypeDef,
    HlsConfigurationTypeDef,
    HlsPlaylistSettingsTypeDef,
    HttpConfigurationTypeDef,
    HttpPackageConfigurationTypeDef,
    ListAlertsRequestRequestTypeDef,
    ListAlertsResponseTypeDef,
    ListChannelsRequestRequestTypeDef,
    ListChannelsResponseTypeDef,
    ListPlaybackConfigurationsRequestRequestTypeDef,
    ListPlaybackConfigurationsResponseTypeDef,
    ListPrefetchSchedulesRequestRequestTypeDef,
    ListPrefetchSchedulesResponseTypeDef,
    ListSourceLocationsRequestRequestTypeDef,
    ListSourceLocationsResponseTypeDef,
    ListTagsForResourceRequestRequestTypeDef,
    ListTagsForResourceResponseTypeDef,
    ListVodSourcesRequestRequestTypeDef,
    ListVodSourcesResponseTypeDef,
    LivePreRollConfigurationTypeDef,
    LogConfigurationTypeDef,
    ManifestProcessingRulesTypeDef,
    PaginatorConfigTypeDef,
    PlaybackConfigurationTypeDef,
    PrefetchConsumptionTypeDef,
    PrefetchRetrievalTypeDef,
    PrefetchScheduleTypeDef,
    PutChannelPolicyRequestRequestTypeDef,
    PutPlaybackConfigurationRequestRequestTypeDef,
    PutPlaybackConfigurationResponseTypeDef,
    RequestOutputItemTypeDef,
    ResponseMetadataTypeDef,
    ResponseOutputItemTypeDef,
    ScheduleAdBreakTypeDef,
    ScheduleConfigurationTypeDef,
    ScheduleEntryTypeDef,
    SecretsManagerAccessTokenConfigurationTypeDef,
    SlateSourceTypeDef,
    SourceLocationTypeDef,
    SpliceInsertMessageTypeDef,
    StartChannelRequestRequestTypeDef,
    StopChannelRequestRequestTypeDef,
    TagResourceRequestRequestTypeDef,
    TransitionTypeDef,
    UntagResourceRequestRequestTypeDef,
    UpdateChannelRequestRequestTypeDef,
    UpdateChannelResponseTypeDef,
    UpdateSourceLocationRequestRequestTypeDef,
    UpdateSourceLocationResponseTypeDef,
    UpdateVodSourceRequestRequestTypeDef,
    UpdateVodSourceResponseTypeDef,
    VodSourceTypeDef,
)

def get_structure() -> AccessConfigurationTypeDef:
    return {
      ...
    }
```

## Versioning

`types-aiobotocore-mediatailor` version is the same as related `boto3` version
and follows [PEP 440](https://www.python.org/dev/peps/pep-0440/) format.

## Documentation

All type annotations can be found in
[types-aiobotocore-mediatailor docs](https://vemel.github.io/types_aiobotocore_docs/types_aiobotocore_mediatailor/)

## Support and contributing

This package is auto-generated. Please reports any bugs or request new features
in [mypy-boto3-builder](https://github.com/vemel/mypy_boto3_builder/issues/)
repository.
